{% extends "transport/base.html" %}
{% load transport_utils %}

{% block title %}Édition d’un modèle de transport{% endblock %}

{% block content %}
<h2>Édition d’un modèle de transport</h2>

<table class="table">
    <tr><th>Pour :</th>
        <td><a href="{% url 'transport-client-detail' transportmodel.client.pk %}"
               id="client_existing" data-clientid="{{ transportmodel.client.pk }}">{{ transportmodel.client }}</a></td>
    </tr>
    <tr><th>Depuis :</th>
        <td>{{ first_instance.adresse_depart }}
            {# adresse pks are used by JS to calculate heure_depart #}
            <span class="row" hidden><input type="hidden" id="id_origine_adr" value="{{ first_instance.adresse_depart.pk }}"></span>
        </td>
    </tr>
    <tr><th>Vers :</th>
        <td>{{ first_instance.destination }}
            <span class="row" hidden><input type="hidden" id="destination_adr" value="{{ first_instance.destination.pk|default:-1 }}"></span>
        </td>
    </tr>
</table>

<form method="post" class="mb-3">{% csrf_token %}
    {{ form.non_field_errors }}
    <div class="row">
        <div class="col">
            {{ form.heure_depart.label_tag }}{{ form.heure_depart }}
             <img id="calculer_depart" class="icon cursor-pointer" src="{% static 'img/calculate.svg' %}" title="Calculer l’heure de départ"
                  data-url="{% url 'transport-calculer-depart' %}">
            {{ form.heure_depart.errors }}
        </div>
        <div class="col">
            {{ form.heure_rdv.label_tag }}{{ form.heure_rdv }}{{ form.heure_rdv.errors }}
        </div>
        <div class="col">
            {{ form.duree_rdv.label_tag }}{{ form.duree_rdv }}{{ form.duree_rdv.errors }}
        </div>
    </div>

    <div class="row">
        <div class="col align-self-end pb-2">
            Répétition : <b>{{ form.instance.regle.nom }}</b>
        </div>
        <div class="col">
            {{ form.fin_recurrence.label_tag }}{{ form.fin_recurrence }}{{ form.fin_recurrence.errors }}
        </div>
        <div class="col">
            {{ form.suspension_depuis.label_tag }}{{ form.suspension_depuis }}{{ form.suspension_depuis.errors }}
        </div>
    </div>
    <div>{{ form.remarques.label_tag }}{{ form.remarques }}{{ form.remarques.errors }}</div>

    <div class="row">
        <div class="mt-3 d-flex justify-content-between">
            <button type="submit" class="btn btn-primary">Enregistrer</button>
            <a href="{% url 'gestion' %}" class="btn btn-secondary">Annuler</a>
        </div>
    </div>
</form>

{% if concrete_future_occs %}
<hr>
<h3>Occurrences futures déjà modifiées ou attribuées</h3>

<table class="table transport_list">
    <thead>
        <tr class="transp_table_header">
            <th>Date</th><th class="tline_hour">Départ</th><th class="tline_hour">Rdv</th>
            <th class="tline_hour">Retour</th><th></th>
            <th>Destination</th><th>Chauffeur</th><th></th>
        </tr>
    </thead>
    <tbody class="transport_body">
    {% for transport in concrete_future_occs %}
        {% transport_line transport '-client' %}
    {% endfor %}
    </tbody>
</table>
{% endif %}

{% endblock %}
